#ifndef KLISTVIEW_H
#define KLISTVIEW_H

#include <QListView>
#include <QMouseEvent>

namespace kdk {

/**
 * @defgroup ListViewModule
 */
class KListViewPrivate;

/**
 * @brief 配合KListviewdelegate可以提供一个图片两行文字的显示效果，若只有一行文字，则对于 icon 居中显示 。
 */
class KListView :public QListView
{
    Q_OBJECT
public:
    KListView(QWidget*parent);
protected:
    void mousePressEvent ( QMouseEvent * event ) ;
private:
    Q_DECLARE_PRIVATE(KListView);
    KListViewPrivate* const d_ptr;

};
}
#endif // KLISTVIEW_H
